Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.converter
Class AbstractExcelUtils

    java.lang.Object
      org.apache.poi.hssf.converter.AbstractExcelUtils

Direct Known Subclasses:
  ExcelToFoUtils, ExcelToHtmlUtils

    public class AbstractExcelUtils

extends java.lang.Object

Common class for `ExcelToFoUtils` and `ExcelToHtmlUtils`

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)
See Also:
  `AbstractWordUtils`

Constructor Summary
`AbstractExcelUtils()`

Method Summary
`static java.lang.String` | `getAlign(short alignment)`
`static java.lang.String` | `getBorderStyle(short xlsBorder)`
`static java.lang.String` | `getBorderWidth(short xlsBorder)`
`static java.lang.String` | `getColor(org.apache.poi.hssf.util.HSSFColor color)`
`static int` | `getColumnWidthInPx(int widthUnits)` See here for Xio explanation and details
`static org.apache.poi.ss.util.CellRangeAddress` | `getMergedRange(org.apache.poi.ss.util.CellRangeAddress[][] mergedRanges, int rowNumber, int columnNumber)`
`static org.apache.poi.hssf.usermodel.HSSFWorkbook` | `loadXls(java.io.File xlsFile)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractExcelUtils

    public AbstractExcelUtils()

Method Detail

### getAlign

    public static java.lang.String getAlign(short alignment)

### getBorderStyle

    public static java.lang.String getBorderStyle(short xlsBorder)

### getBorderWidth

    public static java.lang.String getBorderWidth(short xlsBorder)

### getColor

    public static java.lang.String getColor(org.apache.poi.hssf.util.HSSFColor color)

### getColumnWidthInPx

    public static int getColumnWidthInPx(int widthUnits)

  See here for Xio explanation and details

### getMergedRange

    public static org.apache.poi.ss.util.CellRangeAddress getMergedRange(org.apache.poi.ss.util.CellRangeAddress[][] mergedRanges,
                                                                         int rowNumber,
                                                                         int columnNumber)

  Parameters:
    `mergedRanges` - map of sheet merged ranges built with `ExcelToHtmlUtils.buildMergedRangesMap(HSSFSheet)`
  Returns:
    `CellRangeAddress` from map if cell with specified row and column numbers contained in found range, `null` otherwise

### loadXls

    public static org.apache.poi.hssf.usermodel.HSSFWorkbook loadXls(java.io.File xlsFile)
                                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD